#!/bin/bash

if [ -z "${SOFA_HOME}" ]; then
  echo "Set SOFA_HOME environment variable"
  exit 1
fi

PRG="$0"

PRGDIR=`dirname "$PRG"`

CUSHION_HOME=$PRGDIR/..

if [ -r "$PRGDIR"/setenv.sh ]; then
  . "$PRGDIR"/setenv.sh
fi

CUSHIONCLASSPATH="$CUSHION_HOME/lib/cushion.jar:$SOFA_HOME/lib/sofa2.jar:_env"
if [ "$OSGI_ENABLED" == "true" ]; then
  CUSHION_OSGI_ARGS="-Dshell.bundle=$SHELL_BUNDLE -Dshell.ui.bundle=$SHELLUI_BUNDLE -Dfelix.cache.profiledir=$FELIXCACHE -Dosgi.bundles=$BUNDLES -Dfelix.config.properties=file:$FELIXCONF"
else
  CUSHION_OSGI_ARGS=
fi


java -cp $CUSHIONCLASSPATH -Dcushion.logdir="$CUSHIONLOGDIR" -Dlog4j.configuration=file:$CUSHIONLOGCONF -Dsofa.agent.repository.hostname="$SOFAREPHOST" -Dsofa.agent.repository.port="$SOFAREPPORT" -Dsofa.agent.repository.context="$SOFAREPCONTEXT" $CUSHION_OSGI_ARGS org.objectweb.dsrg.sofa.cushion.Cushion $*
